#include "dev_sw.h"

/*
 * スイッチの初期化
 */
void sw_initialize(void)
{
	*PD_CR3 = *PD_CR3 & 0xFFF0;
	// PD12を入力に設定
	*PD_IOR0 = *PD_IOR0 & 0xEFFF;
}

/*
 * スイッチの値を読み込む
 * 戻り値：オン = SW_ON、オフ = SW_OFF
 */
int sw_read(void){
	int ret;	/* 戻り値 */
	
	if( (*PD_DR0 & 0x1000) == 0x1000 ){
		/* PD12の値がHIGHなら */
		ret = SW_OFF;
	}else{
		ret = SW_ON;
	}
	
	return ret;
}
 